> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glorycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Proxy Details

> Get the username, password, traffic limit, and remarks for rotating proxies associated with your user account.



## OpenAPI

````yaml get /go-api/v1/account/proxy
openapi: 3.0.1
info:
  title: GoProxy API Documentation
  description: ''
  version: 1.0.0
servers: []
security: []
tags: []
paths:
  /go-api/v1/account/proxy:
    get:
      tags: []
      summary: Get Proxy Details
      description: >-
        Get the username, password, traffic limit, and remarks for rotating
        proxies associated with your user account.
      parameters:
        - name: proxyType
          in: query
          description: >-
            The proxy type to query. 

            Use: 1 for Rotating Residential, 2 for Rotating Mobile, 3 for
            Rotating Datacenter. 

            Omit or leave blank to list all proxy types.
          required: false
          schema:
            type: integer
            title: proxyType
        - name: apiKey
          in: header
          description: API key used for authentication.
          required: true
          example: ''
          schema:
            type: string
            title: apiKey
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAccountProxyResponseModel'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetAccountProxyResponseModel:
      properties:
        details:
          items:
            $ref: '#/components/schemas/AccountProxyResponseModel'
          type: array
          title: details
      type: object
      required:
        - details
      title: GetAccountProxyResponseModel
    AccountProxyResponseModel:
      properties:
        authAccount:
          type: string
          title: authAccount
          description: The username of the proxy account.
          example: testuser
        authPassword:
          type: string
          title: authPassword
          description: The password associated with the proxy account.
          example: testpass
        useLimit:
          type: number
          title: useLimit
          description: Traffic limit for the account in GB. **-1** indicates no limit.
          example: -1
        remark:
          type: string
          title: remark
          description: Remarks or notes about the proxy account.
          example: test
        proxyType:
          type: integer
          title: proxyType
          description: >-
            The type of proxy: **1** for Rotating Residential, **2** for
            Rotating Mobile, **3** for Rotating Datacenter.
          example: 1 - Rotating Residential
      type: object
      required:
        - authAccount
        - authPassword
        - useLimit
        - remark
        - proxyType
      title: APICallLogResponseModel

````